--- title: "getCloudHadoopInstanceList" slug: "analytics-cloudhadoop-getcloudhadoopinstancelist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-getcloudhadoopinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopInstanceList Available in Classic Get the list of Cloud Hadoop clusters. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/getCloudHadoopInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Optional | Region number - `1`: Korea Region (default) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `zoneNo` | String | Optional | Filter by zone number. - `3`: KR-2 (default) - See [getZoneList](/docs/en/compute-server-getzonelist). | | `cloudHadoopInstanceNo` | String | Optional | Filter by cluster instance number. | | `searchFilterName` | String | Optional | Search column - `clusterName`: cluster name (valid value) - Required when entering `searchFilterValue` | | `searchFilterValue` | String | Optional | Search keyword - If you enter a value that does not match in whole with the search column options (`clusterName`), empty value is displayed in the response. - If you request without `searchFilterName`, the entire list is displayed. | | `pageNo` | Integer | Optional | Page number - 0-2147483647 (default: 0) | | `pageSize` | Integer | Optional | Page output count - 1-2147483647 (default: 1) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/getCloudHadoopInstanceList ?regionNo=1 &zoneNo=3 &searchFilterName=clusterName &searchFilterValue=cluster &pageNo=0 &pageSize=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopInstanceListResponse` | Object | - | Response result | | `getCloudHadoopInstanceListResponse.totalRows` | Integer | - | Number of response results | | `getCloudHadoopInstanceListResponse.cloudHadoopInstanceList` | Array | - | Cluster list: [cloudHadoopInstanceList](/docs/en/analytics-cloudhadoop-getcloudhadoopinstancelist#cloudHadoopInstanceList) | | `getCloudHadoopInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopInstanceListResponse.returnCode` | String | - | Response code | | `getCloudHadoopInstanceListResponse.returnMessage` | String | - | Response message | #### `cloudHadoopInstanceList` The following describes `cloudHadoopInstanceList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cloudHadoopInstanceNo` | String | - | Cluster instance number | | `cloudHadoopClusterName` | String | - | Cluster name | | `cloudHadoopImageProductCode` | String | - | Cluster image code | | `cloudHadoopClusterType` | Object | - | Cluster type information - Displayed if `cloudHadoopInstanceStatusName` is `running` or `settingup` | | `cloudHadoopClusterType.code` | String | - | Cluster type code - `CHADP` \| `HBASE` \| `SPARK` \| `PRESTO` - `CHADP`: Core Hadoop - `HBASE`: HBase - `SPARK`: Spark - `PRESTO`: Presto | | `cloudHadoopClusterType.codeName` | String | - | Cluster type code name | | `masterNodeCpuCount` | Integer | - | Number of master node CPUs | | `masterNodeCount` | Integer | - | Number of master nodes | | `masterNodeMemorySize` | Integer | - | Master node memory capacity (byte) | | `workerNodeCpuCount` | Integer | - | Number of worker node CPUs | | `workerNodeCount` | Integer | - | Number of worker nodes | | `workerNodeMemorySize` | Integer | - | Worker node memory capacity (byte) | | `edgeNodeCpuCount` | Integer | - | Number of edge node CPUs | | `edgeNodeCount` | Integer | - | Number of edge nodes | | `edgeNodeMemorySize` | Integer | - | Edge node memory capacity (byte) | | `cloudHadoopInstanceStatus` | Object | - | Cluster status information - Displayed if `cloudHadoopInstanceStatusName` is `creating` | | `cloudHadoopInstanceStatus.code` | String | - | Cluster status code - `INIT`: Cloud Hadoop INIT status | | `cloudHadoopInstanceStatus.codeName` | String | - | Cluster status code name | | `cloudHadoopInstanceOperation` | Object | - | Cluster operation information - Displayed if `cloudHadoopInstanceStatusName` is `running` or `settingup` | | `cloudHadoopInstanceOperation.code` | String | - | Cluster operation code - `SETUP` \| `NULL` - `SETUP`: Cloud Hadoop SETUP OP - `NULL`: Cloud Hadoop NULL OP | | `cloudHadoopInstanceOperation.codeName` | String | - | Cluster operation code name | | `cloudHadoopInstanceStatusName` | String | - | Cluster status name - `creating` \| `running` \| `settingup` \| `deleting` - `creating`: creating - `running`: running - `settingup`: setting up - `deleting`: deleting | | `publicDnsName` | String | - | Public domain | | `publicIp` | String | - | Public IP address | | `isHa` | Boolean | - | High availability support - `true` (default) \| `false` - `true`: supported - `false`: not supported | | `zone` | Object | - | Zone information | | `zone.zoneNo` | String | - | Zone number | | `zone.zoneName` | String | - | Zone name | | `zone.zoneCode` | String | - | Zone code | | `zone.zoneDescription` | String | - | Zone description | | `zone.regionNo` | String | - | Region number | | `region` | Object | - | Region information | | `region.regionNo` | String | - | Region number | | `region.regionCode` | String | - | Region code | | `region.regionName` | String | - | Region name | | `masterNodeServerName` | String | - | Master node server name | | `createDate` | String | - | Cluster creation date and time - ISO 8601 format | | `dataArchitecture` | String | - | Data architecture | | `bucketName` | String | - | Object Storage bucket name | | `directConnectionAccount` | String | - | Cluster's direct access account | | `loginKeyName` | String | - | Authentication key name | | `accessControlGroupList` | Array | - | ACG list: [accessControlGroupList](/docs/en/analytics-cloudhadoop-getcloudhadoopinstancelist#accessControlGroupList) | #### `accessControlGroupList` The following describes `accessControlGroupList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessControlGroupConfigurationNo` | String | - | ACG ID | | `accessControlGroupName` | String | - | ACG name | | `accessControlGroupDescription` | String | - | Notes for the ACG | | `isDefault` | Boolean | - | Whether it is a default ACG - `true` \| `false` - `true`: default ACG - `false`: not default ACG | | `createDate` | String | - | ACG creation date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopInstanceListResponse": { "totalRows": 3, "cloudHadoopInstanceList": [ { "cloudHadoopInstanceNo": "2777****", "cloudHadoopClusterName": "cluster001", "cloudHadoopImageProductCode": "SPSWCHADPLINUX02", "masterNodeCpuCount": 4, "masterNodeCount": 2, "masterNodeMemorySize": 8589934592, "workerNodeCpuCount": 4, "workerNodeCount": 2, "workerNodeMemorySize": 17179869184, "cloudHadoopInstanceStatus": { "code": "INIT", "codeName": "Cloud Hadoop INIT status" }, "cloudHadoopInstanceStatusName": "creating", "isHa": true, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "masterNodeServerName": "m-001-cluster001-hd", "createDate": "2025-02-28T13:56:45+0900", "dataArchitecture": "OBJST", "bucketName": "nb002", "directConnectionAccount": "sshuser", "loginKeyName": "test-123", "accessControlGroupList": [ { "accessControlGroupConfigurationNo": "192****", "accessControlGroupName": "cloud-hadoop-gjcmb", "accessControlGroupDescription": "Group for Cloud Hadoop cluster cluster001 (automatically created)", "isDefault": false, "createDate": "2025-02-28T13:56:47+0900" } ] }, { "cloudHadoopInstanceNo": "2777****", "cloudHadoopClusterName": "cluster000", "cloudHadoopImageProductCode": "SPSWCHADPLINUX03", "masterNodeCpuCount": 4, "masterNodeCount": 2, "masterNodeMemorySize": 8589934592, "workerNodeCpuCount": 4, "workerNodeCount": 2, "workerNodeMemorySize": 34359738368, "edgeNodeCpuCount": 4, "edgeNodeCount": 1, "edgeNodeMemorySize": 8589934592, "cloudHadoopInstanceStatusName": "deleting", "publicDnsName": "****.hadoop.ntruss.com", "publicIp": "***.***.***.***", "isHa": true, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "masterNodeServerName": "m-001-cluster000-hd", "createDate": "2025-02-28T13:04:38+0900", "dataArchitecture": "OBJST", "bucketName": "nb001", "directConnectionAccount": "sshuser", "loginKeyName": "test-123", "accessControlGroupList": [ { "accessControlGroupConfigurationNo": "192****", "accessControlGroupName": "cloud-hadoop-gjcel", "accessControlGroupDescription": "Group for Cloud Hadoop cluster cluster000 (automatically created)", "isDefault": false, "createDate": "2025-02-28T13:04:40+0900" } ] }, { "cloudHadoopInstanceNo": "2777****", "cloudHadoopClusterName": "cluster", "cloudHadoopImageProductCode": "SPSWCHADPLINUX03", "cloudHadoopClusterType": { "code": "CHADP", "codeName": "Core Hadoop" }, "masterNodeCpuCount": 4, "masterNodeCount": 2, "masterNodeMemorySize": 8589934592, "workerNodeCpuCount": 4, "workerNodeCount": 22, "workerNodeMemorySize": 34359738368, "edgeNodeCpuCount": 4, "edgeNodeCount": 1, "edgeNodeMemorySize": 8589934592, "cloudHadoopInstanceOperation": { "code": "NULL", "codeName": "Cloud Hadoop NULL OP" }, "cloudHadoopInstanceStatusName": "running", "publicDnsName": "****.hadoop.ntruss.com", "publicIp": "***.***.***.***", "isHa": true, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "masterNodeServerName": "m-001-cluster-hd", "createDate": "2025-02-28T09:16:46+0900", "dataArchitecture": "OBJST", "bucketName": "dataforest", "directConnectionAccount": "sshuser", "loginKeyName": "test-123", "accessControlGroupList": [ { "accessControlGroupConfigurationNo": "192****", "accessControlGroupName": "cloud-hadoop-gjb5m", "accessControlGroupDescription": "Group for Cloud Hadoop cluster cluster (automatically created)", "isDefault": false, "createDate": "2025-02-28T09:16:48+0900" } ] } ], "requestId": "af2c44e0-****-****-****-99c9f669ad22", "returnCode": "0", "returnMessage": "success" } } ```